The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

Уязвимости в Linux ядре, OpenSSL, Kerberos KDC, СУБД Oracle и Zend Framework

14.01.2010 18:10

Несколько новых уязвимостей:

  • В Linux ядре найдена уязвимость, при удачном стечении обстоятельств позволяющая локальному пользователю повысить свои привилегии в системе. Проблема связана с обращением к блоку памяти, после его очистки через вызов функции free(), при обработке файловых дескрипторов с установленным флагом FASYNC;
  • В реализации функции CRYPTO_free_all_ex_data() из библиотеки OpenSSL найдена ошибка, позволяющая злоумышленнику инициировать значительную утечку памяти, приводящую к DoS атаке через исчерпание доступной процессу памяти. Уязвимая функция используется во многих приложениях, в частности в mod_php для http-сервера Apache. Проблема устранена в CVS-репозитории OpenSSL;
  • В MIT Kerberos KDC сервере устранена опасная уязвимость, присутствующая в коде раскодирования данных, зашифрованных методами AES и RC4. Уязвимость потенциально позволяет злоумышленнику организовать выполнение своего кода на сервере, путем отправки специально оформленных зашифрованных последовательностей. Проблема устранена в релизах Kerberos KDC 1.6.4 и 1.7.1.
  • В СУБД Oracle исправлено 9 уязвимостей, среди которых имеются проблемы, позволяющие непривилегированному пользователю получить доступ чтению и изменению закрытых данных, а также к выполнению своего кода с правами управляющего процесса СУБД.
  • В Zend Framework найдено 6 уязвимостей, связанных с возможностью организации межсайтового скриптинга (XSS) через компоненты Zend_Json, Zend_Service_ReCaptcha_MailHide, Zend_Filter_StripTags, Zend_Dojo_View_Helper_Editor и использования некорректных символьных кодировок. Кроме того в компоненте Zend_File_Transfer обнаружена возможность подстановки MIME-данных злоумышленника. Проблемы решены в версиях Zend Framework 1.9.7, 1.8.5 и 1.7.9.


Лицензия: CC-BY
Тип: Проблемы безопасности
Короткая ссылка: https://opennet.ru/25012-zend
Ключевые слова: zend, php, security, oracle, kerberos, linux, kernel, openssl
При перепечатке указание ссылки на opennet.ru обязательно
Обсуждение (8) Ajax | 1 уровень | Линейный | +/- | Раскрыть всё | RSS
  • 1.1, Аноним (-), 18:56, 14/01/2010 [ответить]  
  • –1 +/
    Вот почитаешь багтрак, и понимаешь, что Линукс локально-небезопасен...
     
     
  • 2.4, User294 (ok), 19:50, 14/01/2010 [^] [^^] [^^^] [ответить]  
  • +/
    А кто безопасен то? Вон фряху стали пилить и у них тоже дыры и баги точно так же оптом полезли. А у остальных с поддержкой хардвара такой пэ что они интересны чисто теоретически. А вообще как известно не ошибается тот кто ничего не делает...
     
     
  • 3.7, Злостный бздун (?), 05:19, 15/01/2010 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Ну вы мистер user294, не можете прямо жить спокойно, видимо пока на свете есть BSD. :-D

    Прямо уж так и оптом? :) http://www.freebsd.org/security/advisories.html - по-моему в среднем в год находится примерно одинаковое кол-во багов. Если отфильтровать баги которые имеено баги ядра, а не openssl, bind, ntpd и т. п. (которые присутствуют и в остальных юникс-подобных), то не такой уж и опт получается.

     

  • 1.3, RapteR (ok), 18:56, 14/01/2010 [ответить]  
  • +4 +/
    Приятно читать о дырках, после того, как поставил апргейты. А не будем говорить в какой ОС сначала читаешь про дырку, а потом несколько месяцев а то и лет ожидаешь костыльного патча.
     
  • 1.5, pavlinux (ok), 20:11, 14/01/2010 [ответить]  
  • +/
    Ньюс-Свежак [Wed, 16 Dec 2009 16:23:37 +0000]

    http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=53281b6d34d44308372d16acb7fb5327609f68b6

     
     
  • 2.6, Аноним (-), 20:56, 14/01/2010 [^] [^^] [^^^] [ответить]  
  • +/
    >Ньюс-Свежак [Wed, 16 Dec 2009 16:23:37 +0000]
    >
    >http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=53281b6d34d44308372d16acb7fb5327609f68b6

    У разработчиков Linux ядра такая политика, не сообщать, что определенная ошибка может привести к проблемам безопасности. Поэтому, иногда через месяц вскрывается, что определенную ошибку можно использовать для взлома.

     

  • 1.8, аноним (?), 22:07, 15/01/2010 [ответить]  
  • +/
    Как обычно показательно количество и значимость уязвимостей в СПО и проприетарном г-не (oracle и zend).
     
     
  • 2.9, phpcoder (??), 08:58, 17/01/2010 [^] [^^] [^^^] [ответить]  
  • +/
    JFYI: ZF распространяется под лицензией BSD (иначе говоря, исходный код открыт).
     

     Добавить комментарий
    Имя:
    E-Mail:
    Текст:



    Спонсоры:
    Inferno Solutions
    Hosting by Hoster.ru
    Хостинг:

    Закладки на сайте
    Проследить за страницей
    Created 1996-2020 by Maxim Chirkov
    Добавить, Поддержать, Вебмастеру